Resent-Date: Sun, 11 Oct 1998 22:15:58 +0200 (MET DST)
Date: Sun, 11 Oct 1998 22:16:05 +0200 (CEST)
From: Geert Uytterhoeven <Geert.Uytterhoeven@cs.kuleuven.ac.be>
To: Jes Sorensen <Jes.Sorensen@cern.ch>
cc: Linux/m68k <linux-m68k@lists.linux-m68k.org>
Subject: Re: 2.1.124
In-Reply-To: <199810081817.UAA08558@valhall.cern.ch>
Resent-From: linux-m68k@phil.uni-sb.de

On Thu, 8 Oct 1998, Jes Sorensen wrote:
> It is true, 2.1.124 is finally out.
> 
> I have been quite busy recently so I may have missed a few bits and
> pieces. Also I have been trying to merge a lot with Linus which is why I
> haven't applied the parport stuff yet ... it will come, but I want to
> try and merge as much as possible before 2.2.
> 
> The native diff has shrunk and it will shrink further for 2.1.125.

Jes, you did a great job! A very small patch today:

  - modules_install from 2.1.125 (I'm feeling guilty/ashamed/responsable for
    the one in m68k/2.1.124)
  - don't expert symbols we don't have anymore

diff -u --recursive --exclude-from=/home/geert/diff-excludes-linux --new-file jes-2.1.124/Makefile m68k/Makefile
--- jes-2.1.124/Makefile	Sat Oct 10 19:54:42 1998
+++ m68k/Makefile	Sat Oct 10 22:54:18 1998
@@ -317,11 +317,10 @@
 	if [ -f SOUND_MODULES  ]; then inst_mod SOUND_MODULES  sound;  fi; \
 	if [ -f FC4_MODULES    ]; then inst_mod FC4_MODULES    fc4;    fi; \
 	\
-	rm -f /tmp/.misc.$$$$ /tmp/.allmods.$$$$; \
-	ls *.o > /tmp/.allmods.$$$$; \
-	echo $$MODULES | tr ' ' '\n' | sort | comm -23 /tmp/.allmods.$$$$ - > /tmp/.misc.$$$$; \
-	if [ -s /tmp/.misc.$$$$ ]; then inst_mod /tmp/.misc.$$$$ misc; fi; \
-	rm -f /tmp/.misc.$$$$ /tmp/.allmods.$$$$; \
+	ls *.o > $$MODLIB/.allmods; \
+	echo $$MODULES | tr ' ' '\n' | sort | comm -23 $$MODLIB/.allmods - > $$MODLIB/.misc; \
+	if [ -s $$MODLIB/.misc ]; then inst_mod $$MODLIB/.misc misc; fi; \
+	rm -f $$MODLIB/.misc $$MODLIB/.allmods; \
 	)
 
 # modules disabled....
diff -u --recursive --exclude-from=/home/geert/diff-excludes-linux --new-file jes-2.1.124/arch/m68k/kernel/m68k_ksyms.c m68k/arch/m68k/kernel/m68k_ksyms.c
--- jes-2.1.124/arch/m68k/kernel/m68k_ksyms.c	Sat Oct 10 19:54:55 1998
+++ m68k/arch/m68k/kernel/m68k_ksyms.c	Sun Oct 11 20:54:59 1998
@@ -49,7 +49,6 @@
 EXPORT_SYMBOL(local_bh_count);
 EXPORT_SYMBOL(enable_irq);
 EXPORT_SYMBOL(disable_irq);
-EXPORT_SYMBOL(checksignals);
 
 /* Networking helper routines. */
 EXPORT_SYMBOL(csum_partial_copy);

Greetings,

						Geert

--
Geert Uytterhoeven                     Geert.Uytterhoeven@cs.kuleuven.ac.be
Wavelets, Linux/{m68k~Amiga,PPC~CHRP}  http://www.cs.kuleuven.ac.be/~geert/
Department of Computer Science -- Katholieke Universiteit Leuven -- Belgium

